Name:           krop
Version:        0.4.6
Release:        1%{?dist}
Summary:        Tool to crop PDF files with an eye towards eReaders
License:        GPLv3+
URL:            http://arminstraub.com/computer/krop
Source0:        http://arminstraub.com/downloads/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       pyPdf
Requires:       PyQt4
Requires:       python-poppler-qt4

%description
krop is a simple graphical tool to crop the pages of PDF files. It is written 
in Python and relies on PyQT, python-poppler-qt4 and pyPDF for its 
functionality. 

A unique feature of krop is its ability to automatically split pages into 
subpages to fit the limited screen size of devices such as eReaders. This is 
particularly useful, if your eReader does not support convenient scrolling.

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --prefix %{_prefix} --skip-build --root %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
sed -i '1d' %{buildroot}%{python2_sitelib}/%{name}/krop.py
mkdir -p %{buildroot}%{_datadir}/appdata
install -pm 644 %{name}.appdata.xml %{buildroot}%{_datadir}/appdata

%check
%{__python2} setup.py check

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%doc ChangeLog LICENSE README
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{name}

%changelog
* Sat May 24 2014 Richard Hughes <richard@hughsie.com> - 0.4.6-1
- Update to 0.4.6

* Sat Mar 01 2014 Christopher Meng <rpm@cicku.me> - 0.4.5-1
- Update to 0.4.5

* Sun Aug 25 2013 Christopher Meng <rpm@cicku.me> - 0.4.4-1
- Update to 0.4.4

* Wed Aug 14 2013 Christopher Meng <rpm@cicku.me> - 0.4.3-1
- Update to 0.4.3
- Correct desktop MIME update script.

* Wed Jul 31 2013 Christopher Meng <rpm@cicku.me> - 0.4.1-1
- Update to 0.4.1

* Sat Nov 12 2011 Christopher Meng <rpm@cicku.me> - 0.3.0-1
- Initial Package.
